Module javafx.graphics
Package javafx.css

# Class StyleableObjectProperty<T>

java.lang.Object
javafx.beans.binding.ObjectExpression<T>
javafx.beans.property.ReadOnlyObjectProperty<T>
javafx.beans.property.ObjectProperty<T>
javafx.beans.property.ObjectPropertyBase<T>
javafx.css.StyleableObjectProperty<T>

All Implemented Interfaces:
  `Observable`, `Property<T>`, `ReadOnlyProperty<T>`, `ObservableObjectValue<T>`, `ObservableValue<T>`, `WritableObjectValue<T>`, `WritableValue<T>`, `StyleableProperty<T>`

Direct Known Subclasses:
  `SimpleStyleableObjectProperty`

    public abstract class StyleableObjectProperty<T>
    extends ObjectPropertyBase<T>
    implements StyleableProperty<T>

This class extends `ObjectPropertyBase` and provides a partial implementation of a `StyleableProperty`. The method `StyleableProperty.getCssMetaData()` is not implemented. This class is used to make a `ObjectProperty`, that would otherwise be implemented as a `ObjectPropertyBase`, styleable by CSS.

Since:
  JavaFX 8.0
See Also:
  `ObjectPropertyBase`, `CssMetaData`, `StyleableProperty`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `StyleableObjectProperty()` | The constructor of the `StyleableObjectProperty`.
  `StyleableObjectProperty​(T initialValue)` | The constructor of the `StyleableObjectProperty`.

- ## Method Summary

  ### Methods declared in class javafx.beans.property.ObjectPropertyBase

  `fireValueChangedEvent, invalidated, toString`

  ### Methods declared in class javafx.beans.binding.ObjectExpression

  `asString, asString, asString, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotNull, isNull, objectExpression`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.beans.value.ObservableObjectValue

  `get`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `addListener, getValue, removeListener`

  ### Methods declared in interface javafx.beans.property.Property

  `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

  ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

  ### Methods declared in interface javafx.css.StyleableProperty

  `applyStyle, getCssMetaData, getStyleOrigin`

  ### Methods declared in interface javafx.beans.value.WritableObjectValue

  `get, set`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue, setValue`

- ## Constructor Details

  - ### StyleableObjectProperty

    public StyleableObjectProperty()
    The constructor of the `StyleableObjectProperty`.

  - ### StyleableObjectProperty

    public StyleableObjectProperty​(T initialValue)
    The constructor of the `StyleableObjectProperty`.
    Parameters:
      `initialValue` - the initial value of the wrapped `Object`